<?php
error_reporting(7);
set_magic_quotes_runtime(0);
set_time_limit(0);

if(PHP_VERSION < '4.1.0') {
	$_GET = &$HTTP_GET_VARS;
	$_POST = &$HTTP_POST_VARS;
	$_COOKIE = &$HTTP_COOKIE_VARS;
	$_SERVER = &$HTTP_SERVER_VARS;
	$_ENV = &$HTTP_ENV_VARS;
	$_FILES = &$HTTP_POST_FILES;
}

define('XCONVERT_VERSION', '1.3.1');
define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc());
define('XCONVERT_ROOT', substr(dirname(__FILE__), 0, -7));

require_once XCONVERT_ROOT.'./include/global.func.php';

isset($_REQUEST['GLOBALS']) && showmessage('common_phperror');

foreach(array('_POST', '_GET') as $_REQUEST) {
	foreach($$_REQUEST as $_key => $_value) {
		$_key{0} != '_' && $$_key = daddslashes($_value);
	}
}

(!MAGIC_QUOTES_GPC) && $_FILES = daddslashes($_FILES);

require_once XCONVERT_ROOT.'./config.inc.php';


$timestamp = time();

if($debug || $action != 'convert') {
	error_reporting(E_ERROR | E_WARNING | E_PARSE);
}
include_once language();

require_once XCONVERT_ROOT.'./include/db.class.php';

$PHP_SELF = $_SERVER['PHP_SELF'] ? $_SERVER['PHP_SELF'] : $_SERVER['SCRIPT_NAME'];
$SCRIPT_FILENAME = str_replace('\\\\', '/', (isset($_SERVER['PATH_TRANSLATED']) ? $_SERVER['PATH_TRANSLATED'] : $_SERVER['SCRIPT_FILENAME']));

?>